For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get document

get
Path parameters
idstringRequired
extensionIdstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstring · enumOptionalPossible values:
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
urlstringOptional
languagestringOptional
get/public/v1/integration/extensions/{extensionId}/documents/{id}
GET /public/v1/integration/extensions/{extensionId}/documents/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "published": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unpublished": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "description": "text",
  "status": "Draft",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "extension": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1
  }
}

Last updated

Was this helpful?